#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF2,0xD5,0x7E,0x3F,0x28,0xD3,0xFF,0x01,0x3B,0x26,0xDE,0x84,
		0xAF,0xBB,0xAB,0x81,0x89,0x16,0xBE,0x75,0xBA,0x94,0x08,0xF0,
		0xF6,0xB7,0x7D,0xF8,0x05,0xA2,0x94,0xC4,0x42,0x19,0xB1,0x0B,
		0x45,0x21,0xD4,0xB2,0x86,0xC7,0x19,0xEC,0x26,0x33,0xF0,0xDD,
		0xB3,0x64,0xEA,0x3F,0xED,0x49,0xB7,0x4E,0xEE,0x14,0xF2,0xCF,
		0x78,0xBC,0xD1,0x2B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
